# $Revision: 1.21 $, $Date: 2006/12/13 22:52:13 $
%define		_modname	memcache
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - a memcached extension
Summary(pl):	%{_modname} - rozszerzenie memcached
Name:		php-pecl-%{_modname}
Version:	2.1.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	2374d871015017829494dd85c0f63a23
URL:		http://pecl.php.net/package/memcache/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Requires:	php(zlib)
#Sugests:	memcached
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Memcached is a caching daemon designed especially for dynamic web
applications to decrease database load by storing objects in memory.

This extension allows you to work with memcached through handy OO and
procedural interfaces.

In PECL status of this extension is: %{_status}.

%description -l pl
Memcached to zaprojektowany dla dynamicznych aplikacji internetowych
daemon cachujcy majcy za zadanie zmniejszenie obcienia bazy danych
przez przechowywanie w pamici obiektw.

To rozszerzenie umoliwia prac z memcached za pomoc porcznego
zorientowanego obiektowo (oraz przez procedury) interfejsu.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure \
	--with-zlib-dir=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
;memcache.allow_failover=1
;memcache.chunk_size=8192
;memcache.default_port=11211
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-memcache.spec,v $
Revision 1.21  2006/12/13 22:52:13  glen
- update to 2.1.0

Revision 1.20  2006/11/26 14:41:17  glen
- rel 2: use php(extension) virtuals

Revision 1.19  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.18  2006/08/02 13:44:56  blues
- config options

Revision 1.17  2006/08/02 13:15:24  glen
- updated to 2.0.4, corrected URL

Revision 1.16  2006/08/02 13:13:27  glen
- rel 6

Revision 1.15  2006/08/02 13:10:50  blues
- requires php-zlib

Revision 1.14  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.13  2005/10/30 13:29:27  glen
- rel 4

Revision 1.12  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.11  2005/09/14 22:57:07  glen
- rel 2

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/08/05 13:02:43  adamg
- updated to 1.5

Revision 1.7  2005/06/21 11:25:34  glen
- add minimum php version requirement

Revision 1.6  2004/12/05 14:44:08  adamg
- updated to 1.4

Revision 1.5  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/09/04 17:41:23  adamg
- updated to 1.3

Revision 1.3  2004/08/07 18:02:40  adamg
- updated to 1.2

Revision 1.2  2004/06/10 18:10:46  adamg
- updated to 1.1

Revision 1.1  2004/05/30 19:32:53  adamg
- new
